/*///////////////////////////////// Debugging ////////////////////////////////*/
/* section {
  background-color:#888888;
}
section > div {
  background-color:#aa99aa;
} */


/*////////////////////////////// Background //////////////////////////////////*/
.reveal {
  /*background-color:#fffff8;*/
  color:#111111;
}

/*/////////////////////////////////// Font ///////////////////////////////////*/
.reveal {
  font-family: "Alegreya", "Palatino Linotype", "Book Antiqua", "Palatino", "FreeSerif", serif;
  font-size: 4vh;
}

.reveal h1,
.reveal p {
  font-family: "Alegreya", "Palatino Linotype", "Book Antiqua", "Palatino", "FreeSerif", serif;
  text-transform: none;
}

.reveal h2,
.reveal h3,
.reveal h4,
.reveal h5,
.reveal h6 {
  font-family: "Alegreya SC", "Palatino Linotype", "Book Antiqua", "Palatino", "FreeSerif", serif;
  text-transform: none;
}

/*////////////////////////////// Header/Footer ///////////////////////////////*/
#citation {
  bottom:0;
  right:2vw;
  text-align:right;
  position:absolute;
  font-size:50%;
  z-index:100;
}

#citation.citwnotes {
  right:42vw;
}

#header {
  top:0;
  left:2vw;
  position:absolute;
  font-size:90%;
  z-index:100;
}

#slide_position {
  text-align:right;
  top:1vh;
  right:2vw;
  position:absolute;
  font-size:50%;
  z-index:99;
  color:#aaa;
}

/*/////////////////////////////// Slide Notes ////////////////////////////////*/
.reveal aside.hidden {
  display:none !important;
}

.fullwidth {
  width:100%;
  text-align:center;
}

.fullwidth.tomiddle {
  text-align:center;
}
.fullwidth.tomiddle.wnotes {
  text-align:right;
}

img.plain {
  background-color:transparent !important;
}

.wnotes {
  display: block;
  position: absolute;
  width:55vw;
  left:0;
}

.reveal aside.notes {
  position: absolute;
  display: block;
  text-align: left;
  background-color: rgba(235, 235, 235, 0.8);
  color: #000000;
  right: 0;
  top: 5vh;
  width: 40vw;
  height: 90vh;
  font-size: 60%;
  line-height: 120%;
  overflow:auto;
  padding-left: 0.5vw;
}

span.key {
  border: 2px solid black;
  border-radius: 10px;
  text-transform: capitalize;
  font-family: "Alegreya SC";
  font-weight: bold;
  padding: 0px 10px 0px 10px;
  margin: 0 10px;
  font-size: 75%;
}

#ns {
  font-family: "Alegreya SC";
  font-weight: bold;
}

table td {
  border-bottom: 0 !important;
}

.red {color:#9e0142;}
.blue {color: #747aa8;}
.green {color: #6c8c58;}
.purple {color: #8e4fc4;}

.reveal .slides section .fragment.highlight-yellow,
.reveal .slides section .fragment.highlight-current-yellow,
.reveal .slides section .fragment.highlight-purple,
.reveal .slides section .fragment.highlight-current-purple,
.reveal .slides section .fragment.unhighlight,
.reveal .slides section .fragment.emph-bold {
  opacity: 1;
  visibility: visible; }

.reveal .slides section .fragment.highlight-red.visible {
  color: #9e0142; }

.reveal .slides section .fragment.highlight-green.visible {
  color: #6c8c58; }

.reveal .slides section .fragment.highlight-blue.visible {
  color: #747aa8; }

.reveal .slides section .fragment.highlight-purple.visible {
  color: #8e4fc4; }

.reveal .slides section .fragment.highlight-yellow.visible {
  color: #b58e33; }

.reveal .slides section .fragment.unhighlight.visible {
  color: #000000; }

.reveal .slides section .fragment.highlight-current-red.current-fragment {
  color: #9e0142; }

.reveal .slides section .fragment.highlight-current-green.current-fragment {
  color: #6c8c58; }

.reveal .slides section .fragment.highlight-current-blue.current-fragment {
  color: #747aa8; }

.reveal .slides section .fragment.highlight-current-purple.current-fragment {
  color: #8e4fc4; }

.reveal .slides section .fragment.highlight-current-yellow.current-fragment {
  color: #b58e33; }

.reveal .slides section .fragment.emph-bold.current-fragment {
  font-weight: bold;
  visibility: visible; }

.vcenter {
  display:flex;
  justify-content:center;
  flex-direction:column;
  align-items:center;
  height:100%;
}

img {
  max-width:100vw;
  max-height:100vh;
}

.reveal .slides {
  position: absolute;
  top: 0;
  left: 0;
  margin: 0;
  padding: 0;
}

.reveal .slides>section {
  height: 96vh;
  width: 96vw;
  position: absolute;
  top: 2vh;
  left: 2vw;
  margin: 0;
  padding: 0;
}

.reveal .slides>section>section {
  height: 96vh;
  width: 96vw;
  position: absolute;
  top: 2vh;
  left: 2vw;
  margin: 0;
  padding: 0;
}

.fa-li {
  padding-top:0.2em;
}
